Subject: Re: [bug#38108] [PATCH] doc: Fix typos.

From: Ludovic Courtès <[email-masked]>
Date: Fri, 08 Nov 2019 23:41:02 +0100

Hello!

zimoun <[email-masked]> skribis:

> * doc/guix.texi: Fix typos.
> ---
>  doc/guix.texi | 78 +++++++++++++++++++++++++--------------------------
>  1 file changed, 39 insertions(+), 39 deletions(-)
>
> diff --git a/doc/guix.texi b/doc/guix.texi
> index 3a9d206b9f..5a5c54702e 100644
> --- a/doc/guix.texi
> +++ b/doc/guix.texi
> @@ -585,7 +585,7 @@ you may have to run @code{su -} or @code{sudo -i}.  As @code{root}, run:
>  
>  This creates @file{/gnu/store} (@pxref{The Store}) and @file{/var/guix}.
>  The latter contains a ready-to-use profile for @code{root} (see next
> -step.)
> +step).

So, is it this simple?  :-)

I checked what people say and found this:

  https://blog.apastyle.org/apastyle/2013/03/punctuation-junction-periods-and-parentheses.html
  https://english.stackexchange.com/questions/6632/where-does-the-period-go-when-using-parentheses/6633

(I wanted to check the Chicago Manual of Style but it’s now behind a
paywall.)

It would seem that “see next step” (for example) does not count as a
parenthetical sentence (it’s not a sentence because it doesn’t start
with a capital letter), and thus the period should go outside the
parens.

In short, it looks like most or all of the changes you made are
“correct”, but you might want to double-check, also to account for the
typo Giovanni noticed.

I think this will invalidate translations of the affected paragraphs.
Is that a big deal, Julien, or is it easily resolved?

Typographically yours,
Ludo’.